name: product_layout_app
description: A new Flutter project.
# The following line prevents the package from being accidentally published to
# pub.dev using `flutter pub publish`. This is preferred for private packages.
publish_to: 'none' # Remove this line if you wish to publish to pub.dev

# The following defines the version and build number for your application.
# A version number is three numbers separated by dots, like 1.2.43
# followed by an optional build number separated by a +.
# Both the version and the builder number may be overridden in flutter
# build by specifying --build-name and --build-number, respectively.
# In Android, build-name is used as versionName while build-number used as versionCode.
# Read more about Android versioning at https://developer.android.com/studio/publish/versioning
# In iOS, build-name is used as CFBundleShortVersionString while build-number is used as CFBundleVersion.
# Read more about iOS versioning at
# https://developer.apple.com/library/archive/documentation/General/Reference/InfoPlistKeyReference/Articles/CoreFoundationKeys.html
# In Windows, build-name is used as the major, minor, and patch parts
# of the product and file versions while build-number is used as the build suffix.
version: 1.0.0+1

environment:
  sdk: '>=3.0.5 <4.0.0'

# Dependencies specify other packages that your package needs in order to work.
# To automatically upgrade your package dependencies to the latest versions
# consider running `flutter pub upgrade --major-versions`. Alternatively,
# dependencies can be manually updated by changing the version numbers below to
# the latest version available on pub.dev. To see which dependencies have newer
# versions available, run `flutter pub outdated`.
dependencies:
  table_calendar: ^3.0.9
  flutter:
    sdk: flutter
  carousel_slider: ^4.2.1
  #flutter_svg_provider: ^1.0.3
  flutter_svg: ^2.0.7
  cupertino_icons: ^1.0.2
  intl: ^0.18.1
  simple_shadow: ^0.3.1
  #google_fonts: ^2.0.0
  badges: ^3.1.1
  animated_splash_screen: ^1.3.0
  date_format: ^2.0.7
  provider: ^5.0.0

dev_dependencies:
  flutter_test:
    sdk: flutter
  #flutter_lints: ^2.0.2
  # The "flutter_lints" package below contains a set of recommended lints to
  # encourage good coding practices. The lint set provided by the package is
  # activated in the `analysis_options.yaml` file located at the root of your
  # package. See that file for information about deactivating specific lint
  # rules and activating additional ones.
  #flutter_lints: ^2.0.0

# For information on the generic Dart part of this file, see the
# following page: https://dart.dev/tools/pub/pubspec

# The following section is specific to Flutter packages.
flutter:
  uses-material-design: true
  assets:
    - assets/travelhome.jpg
    - assets/travelhome1.jpg
    - assets/screen.jpg
    - assets/test1.jpg
    - assets/Group 15524.svg
    - assets/Ellipse 2.svg
    - assets/Ellipse 1.svg
    - assets/Group 1619.svg
    - assets/Group 15525.svg
    - assets/Doctor-Appoinment 1.svg
    - assets/Doctor-Consultation 1.svg
    - assets/image 1.png
    - assets/Group 1619.png
    - assets/Group1.svg
    - assets/Group2.svg
    - assets/Group 615527.svg
    - assets/Vector3.svg
    - assets/logo4.png
    - assets/logo1.jpg
    - assets/call_svg.svg
    - assets/save_svg.svg
    - assets/deny.svg
    - assets/confirm.svg
    - assets/search.svg
    - assets/add.svg
    - assets/edit.svg
    - assets/call_bubbles.svg
    - assets/call_popup.svg
    - assets/cancel.svg
    - assets/sad.svg
  # An image asset can refer to one or more resolution-specific "variants", see
  # https://flutter.dev/assets-and-images/#resolution-aware

  # For details regarding adding assets from package dependencies, see
  # https://flutter.dev/assets-and-images/#from-packages

  # To add custom fonts to your application, add a fonts section here,
  # in this "flutter" section. Each entry in this list should have a
  # "family" key with the font family name, and a "fonts" key with a
  # list giving the asset and other descriptors for the font. For
  # example:
  # fonts:
  #   - family: Schyler
  #     fonts:
  #       - asset: fonts/Schyler-Regular.ttf
  #       - asset: fonts/Schyler-Italic.ttf
  #         style: italic
  #   - family: Trajan Pro
  #     fonts:
  #       - asset: fonts/TrajanPro.ttf
  #       - asset: fonts/TrajanPro_Bold.ttf
  #         weight: 700
  #
  # For details regarding fonts from package dependencies,
  # see https://flutter.dev/custom-fonts/#from-packages
